Redmine - Feature #2793

Ability to escape external links using !
2009-02-20 20:31 - Charles Lindsay

Status: New Start date: 2009-02-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution:

Description
When | was creating #2792, | wanted a way to write:

"title":http://...

and have it show up exactly as that, except inline, not wrapped in a pre block. '!" will disable text such as [[...|...]] from becoming
links, but it doesn't work for links like "itle":.... It probably should.

Alternately, there should be a way to turn off wiki formatting altogether for an inline chunk of text (not necessarily a whole block). Pre
seems to disable some formatting, but not all: [[...|...]] still becomes a link inside a pre block, for example.

History

#1 - 2009-02-20 21:02 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-02-20 21:05 - Jean-Philippe Lang

- Subject changed from 'I' doesn't disable external URLs from becoming links to Ability to escape external links using !

Not a defect. As the documentation says, it currently applies to Redmine links only.

#3 - 2011-03-23 08:00 - Toshi MARUYAMA

- Category set to Text formatting
https://www.redmine.org/issues/2792
https://www.redmine.org/projects/redmine/wiki/RedmineWikiFormatting
http://www.tcpdf.org

